package edu.mayo.bior.catalog.markdown.transformer;

public interface MarkdownTransformer {

    /**
     * Transform the given markdown by:
     * <ul>
     *     <li>Adding new content</li>
     *     <li>Changing existing content</li>
     *     <li>Removing content</li>
     * </ul>
     * @param markdown The original markdown content.
     * @return The transformed markdown content.
     */
    String transform(String markdown) throws TransformException;
}
